﻿html, body, select, option {
    font-family: "TeleNeoWeb", "TeleNeo", sans-serif;
}

* {
    margin: 0;
}

html, body {
    height: 100%;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
    margin-right: calc(100% - 100vw);
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

button:active {
    box-shadow: none !important;
}

hr {
    margin: 0.6rem 0;
    border: 0;
    border-top: 0.0625rem solid #dfdfe1;
    box-sizing: content-box;
    height: 0;
}

.td-middle,
.table-small > tbody > tr > td,
.table-striped > tbody > tr > td {
    vertical-align: middle;
}

.main {
    margin-bottom: 1rem;
}

.spinner {
    border: 10px solid #f0f0f0;
    border-top: 8px solid var(--telekom-color-primary-standard);
    border-radius: 50%;
    min-width: 80px;
    min-height: 80px;
    animation: spin 700ms linear infinite;
    top: 30%;
    left: 45%;
    position: absolute;
    z-index: 10000;
}

@keyframes spin {
    0% {
        transform: rotate(0)
    }

    100% {
        transform: rotate(360deg)
    }
}

i.iconrotate {
    animation: spin 2s linear infinite;
    font-size: 1.5rem;
}

    .iconbadge,
    i.iconrotate.iconbadge {
        position: absolute;
        font-size: 1rem;
        margin-top: -0.25rem;
    }

select.invalid, input.invalid, rz-dropdown invalid {
    background-color: #fdf2f2;
    border-color: #b20000;
}

.underline {
    margin-top: 22px;
}

.center {
    text-align: center;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1.25em;
}

.numberManagment th button i {
    color: #262626;
}

th button[disabled] i {
    color: #a5a5a5;
}

button.inProgress {
    height: 36px;
    width: 37px;
    padding: 0 11px 0 11px;
}

.inProgress {
    font-style: italic;
    font-weight: bold;
}

td.actions {
    white-space: nowrap;
}

    td.actions .btn-icon {
        margin-right: 0.2em;
        width: 3em;
    }

.pull-left {
    float: left;
    display: flex;
    align-items: center;
}

.top {
    padding: 0 6.25px;
}

.bottom {
    padding: 6.25px 6.25px 0 6.25px;
}

.hidden-text {
    opacity: 0.0;
}

body:not(.rz-default-scrollbars)::-webkit-scrollbar,
.form-select,
.rz-button.rz-secondary.active,
.rz-spinner input[type='text'],
.rz-tooltip-content,
button.rz-button.rz-secondary:hover,
button.btn-steam:hover,
.rz-paginator-element:hover {
    background-color: #fff;
}

.rz-cell-filter-content {
    display: flex;
    justify-content: center;
}

    .rz-cell-filter-content .actions-panel {
        padding: 0.2rem;
    }

    .rz-cell-filter-content .steam-switch-label-wrapper {
        color: #262626;
        height: 2rem;
    }

.actions-panel {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0.25rem;
    gap: 0.25rem;
}

    .actions-panel .btn-steam,
    .number-select-arrows .btn-steam,
    .dialog-actions-panel > .pull-right > .nr-type-action-btn {
        padding: 0;
        aspect-ratio: 1/1;
    }

.btn-steam-invisible {
    visibility: hidden;
}

a .icon {
    color: #262626;
}

a {
    cursor: pointer;
    color: var(--telekom-color-text-and-icon-link-standard);
    text-decoration: none;
}

    a:hover {
        color: var(--telekom-color-text-and-icon-link-hovered);
    }



.copy-to-clipboard, .copy-to-clipboard:hover {
    cursor: pointer;
    color: inherit;
    text-decoration: none;
    background: none;
}

    .copy-to-clipboard:hover {
        color: var(--telekom-color-primary-hovered);
    }

.modal-scroll-content {
    overflow: auto;
    max-height: 75vh;
}

.scroll-content {
    overflow: auto;
    max-height: 50vh;
}

.rz-grid-table .noOverflow .rz-cell-data {
    text-overflow: unset;
}

#MainMenu a i, #MainMenu div i {
    font-size: 20px;
    padding-left: 5px;
}

.rz-tabview-nav a i, .rz-tabview-nav div i {
    margin-left: 5px;
}

.hidden {
    visibility: hidden;
}

.emptyRecords .tooManyDataMessage {
    display: none;
}

.emptyRecords.tooMany .tooManyDataMessage {
    display: block;
}

.emptyRecords .noData {
    display: block;
}

.emptyRecords.tooMany .noDataMessage {
    display: none;
}

.emptyRecords .rz-primary {
    margin-left: 0;
    margin-top: 10px;
}

.strikeoutEntry {
    text-decoration: line-through;
    color: #262626;
}

.rz-state-highlight.rz-data-row .strikeoutEntry {
    color: var(--rz-grid-selected-color);
}

.kpi-highlight {
    font-weight: 800;
    color: var(--telekom-color-primary-standard);
}

.newEntry {
    font-weight: bold;
}

.modifiedEntry {
    font-style: oblique;
}

.navbar-btn i.rzi {
    font-size: inherit;
}

h4 {
    font-size: 21px;
    font-weight: bold;
}

.form-select,
.rz-cell-filter .rz-cell-filter-label > .rzi,
.rz-cell-filter .rz-cell-filter-label > input,
.rz-fileupload .rz-button-text-icon-left.rz-button,
.rz-fileupload .rz-button,
.rz-grid-table td .rz-cell-data,
.rz-grid-table thead th .rz-column-title,
.rz-listbox-item,
.rz-paginator-element,
.rz-paginator-element:active,
.rz-paginator-element .rzi,
.rz-paginator-next,
.rz-sortable-column
.rzi-sort:before,
.rz-spinner input[type='text'],
.rz-state-default,
.rz-switch .rz-button,
.rz-textarea,
.rz-textbox,
.rz-multiselect-item,
.rz-html-editor-toolbar .rzi {
    font-size: 1rem;
}

.rz-textbox {
    padding: 6px 11px 7px 11px;
    height: auto;
    border-color: #b2b2b2;
}

.rz-grid-table thead th .rz-column-title {
    text-transform: none;
    display: flex;
    justify-content: center;
}

.rz-sortable-column .rzi-sort {
    color: inherit;
    margin: 0 5px;
    height: 18px;
    width: 18px;
}


.rz-cell-filter {
    background: var(--telekom-color-background-canvas);
    padding: 0.2rem;
}

/**********************************************/
/*** datagrid - filter embedded to header *****/
/**********************************************/
.filter-header-style {
    color: var(--rz-grid-header-color);
}

.rz-cell-filter:has(.filter-header-style) {
    background: inherit;
}

.rz-cell-filter-content:has(.filter-header-style) {
    height: 2rem;
}

.rz-cell-filter-label input {
    margin: 0 0 0 10px;
    font-size: 1rem;
}

.rz-cell-filter-content > .text-field-group > .steam-switch-label-wrapper,
.rz-cell-data > .steam-switch-label-wrapper {
    height: 2.75rem;
}

.rz-datatable-data td:not(:last-child) {
    border-right: none;
}

.rz-paginator {
    padding: 6.25px;
}

.rz-paginator-bottom {
    padding: 6.25px 6.25px 0 6.25px;
}

.rz-datatable-scrollable {
    border: 0;
}

.rz-datatable-thead th:not(:last-child) {
    border-right-color: rgb(220, 220, 220)
}

.rz-datatable-thead .rz-chkbox-box {
    width: 20px;
    height: 20px;
    margin-top: -4px;
}

.rz-datatable-scrollable-header {
    border-bottom-color: #b2b2b2
}

.rz-sortable-column-icon {
    margin-bottom: 1.25rem;
    margin-right: 10px;
}

.notranslate .rz-sortable-column-icon .rzi-grid-sort .rzi-sort {
    display: none;
}

.rz-cell-filter .rz-cell-filter-label > .rzi {
    width: auto;
    margin-bottom: 0.5em;
}

    .rz-cell-filter .rz-cell-filter-label > .rzi.rz-cell-filter-clear {
        margin: 0;
    }

.rz-button.rz-secondary {
    border: 1px solid #b2b2b2;
    background-color: #ededed;
    color: #262626;
    font-weight: 400;
}

    .rz-button.rz-secondary:focus,
    .rz-button.rz-primary:focus {
        outline-color: var(--telekom-color-functional-focus-standard);
    }

.rz-paginator-page.rz-state-active {
    border: 1px solid #b2b2b2;
}

ul.navbar-right > li > .rz-button {
    padding: 0 1rem;
    margin: 0 0 0 1rem;
}

ul.navbar-left > li > .rz-button {
    padding: 0 1rem;
    margin: 0 1rem 0 0;
}

.rz-button.rz-button-md.rz-primary:hover,
.rz-splitbutton-menu .rz-menuitem:hover,
.rz-slider:not(.rz-state-disabled) .rz-slider-handle:active,
.rz-slider:not(.rz-state-disabled) .rz-slider-handle:hover,
.rz-slider:not(.rz-state-disabled) .rz-slider-handle:focus {
    background-color: #b2005c;
}

.rz-button.rz-primary.rz-shade-default,
.rz-splitbutton-menu .rz-menuitem {
    border: 1px solid #b2005c;
    color: #fff;
    background-color: var(--telekom-color-primary-standard);
    box-shadow: none;
}

    .rz-button.rz-primary.rz-shade-default:hover {
        box-shadow: none;
    }

.rz-paginator-element:not(.rz-state-disabled):focus:not(:active),
.rz-button:not(.rz-state-disabled):focus:not(:active) {
    box-shadow: none;
}

.rz-state-highlight .rz-button.rz-primary.rz-shade-default {
    border: 1px solid #fff;
    color: var(--telekom-color-primary-standard);
    background-color: #fff;
}

.navbar-left .rz-button.rz-primary {
    margin-left: 0;
}

.rz-button .btn-light {
    background-color: #ededed;
    color: #262626;
    font-weight: normal;
    padding: 6px 23px 7px 23px;
    height: auto;
}

.rz-paginator-element, .rz-paginator-element:active, .rz-paginator-element .rzi, .rz-paginator-next {
    width: 1.3rem;
    height: 1.3rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

    .rz-paginator-element .rz-paginator-icon {
        font-size: 1.25rem;
    }

a .icon-warning, li.notifications a i, #MainMenu a i, #MainMenu div i, .rz-selectable .hasErrors, .hasErrors:hover, tr:not(.rz-state-highlight) .modifiedEntry, option.modifiedEntry, tr:not(.rz-state-highlight) .newEntry, .scheduled, .rz-button.rz-secondary.active, .rz-button.rz-secondary.text-brand, .rz-messages-error, .rz-apply-filter:hover, .rz-tabview-nav .rz-tabview-selected span.rz-tabview-title, .rz-tabview-nav a i, .rz-tabview-nav div i, .rz-paginator-pages .rz-state-active, .rz-selectable .rz-datatable-even.rz-state-highlight .rz-cell-data > .badge-brand, .rz-selectable .rz-datatable-odd.rz-state-highlight .rz-cell-data > .badge-brand {
    color: var(--telekom-color-primary-standard);
}

.rz-selectable .rz-datatable-even:hover:not(.rz-state-highlight) .rz-cell-data,
.rz-selectable .rz-datatable-odd:hover:not(.rz-state-highlight) .rz-cell-data,
.rz-paginator-element:hover:not(.rz-state-active),
.rz-paginator-icon:hover,
.rz-button.rz-secondary:hover {
    color: #262626;
}

body:not(.rz-default-scrollbars) ::-webkit-scrollbar-thumb,
.rz-apply-filter,
.rz-spinner-button .rzi,
.rz-listbox:not(.rz-state-disabled) .rz-listbox-item:hover:hover,
.rz-listbox-item.rz-state-highlight,
.rz-slider-handle,
.rz-slider-range {
    background-color: var(--telekom-color-primary-standard);
}

.rz-selectable .rz-datatable-even:hover:not(.rz-state-highlight) > td:not(.rz-frozen-cell),
.rz-selectable .rz-datatable-odd:hover:not(.rz-state-highlight) > td:not(.rz-frozen-cell),
.rz-selectable .rz-datatable-even.rz-state-highlight .rz-cell-data > .badge-brand,
.rz-selectable .rz-datatable-odd.rz-state-highlight .rz-cell-data > .badge-brand {
    background-color: #ededed;
}

.rz-date-filter-buttons .rz-apply-filter, .rz-slider-range {
    border: 1px solid var(--telekom-color-primary-standard);
}

.rz-slider-horizontal {
    width: 100%;
}

.rz-timepicker {
    background-color: #e6ecef;
    border-radius: 0 0 var(--rz-border-radius) var(--rz-border-radius);
}

body:not(.rz-default-scrollbars)::-webkit-scrollbar-thumb {
    background: #b2b2b2;
    border: 2px solid #000000;
    border: 2px solid rgba(0, 0, 0, 0);
    background-clip: padding-box;
    border-radius: 0;
}

.rz-cell-filter .rz-cell-filter-label > input,
.rz-cell-filter .rz-cell-filter-label > input:focus,
.rz-cell-filter .rz-cell-filter-label > select,
.rz-cell-filter .rz-cell-filter-label > textarea,
.rz-cell-filter .rz-cell-filter-label .rz-spinner input {
    color: #262626;
    height: 2.25rem;
    border-color: #808080;
}

.rz-cell-filter input:focus,
button:focus,
.rz-paginator-element:focus {
    background-color: transparent;
    border-color: var(--telekom-color-primary-standard);
    outline: 0;
    box-shadow: inset 0 1px 1px #000000, 0 0 8px var(--telekom-color-primary-standard);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(226, 0, 116, 0.6);
}

a[role=tab]:focus {
    outline: 1px dotted #000;
}

th.rz-sortable-column div[tabindex]:focus {
    border: 1px dotted #000;
}

th.rz-sortable-column div[tabindex] {
    border: 1px solid transparent;
}

.rz-dropdown {
    height: 2.625rem;
    border: 1px solid rgb(178, 178, 178);
}

    .rz-dropdown.invalid {
        background-color: #fdf2f2;
        border-color: var(--telekom-color-text-and-icon-functional-warning);
    }

.container-liquid:has(.rz-fileupload):not(:has(.navbar-persistent)) {
    display: flex;
    align-items: center;
}

.rz-fileupload-buttonbar {
    background: none;
    padding-right: 0;
}

.rz-fileupload-choose {
    display: flex;
    align-items: center;
    color: #262626;
    border-color: #262626;
    font-weight: normal;
}

.rz-fileupload .rz-button {
    height: 2.75rem;
    border: 1px solid #b2b2b2;
    width: max-content;
}

    .rz-fileupload .rz-button:focus,
    .rz-fileupload .rz-button:hover {
        border: 2px solid black;
    }

.rz-button-text {
    margin: 0 10px;
}

.rz-fileupload .rz-button-text {
    line-height: 1.75rem;
}

.blazored-modal-close {
    font-size: 3rem;
}

.blazored-modal-title {
    font-weight: bold;
}

.rz-tabview-nav li {
    margin-right: 10px;
}

.rz-tabview-top > .rz-tabview-nav .rz-tabview-selected {
    border-top-color: var(--telekom-color-primary-standard);
}

.rz-tabview-top > .rz-tabview-nav li:hover:not(.rz-tabview-selected):not(.rz-state-disabled) {
    border-top-color: rgb(223, 231, 236);
}

.rz-tabview-nav li.rz-tabview-selected a > div {
    border-top: 1px solid #fff;
    margin-top: -1px;
}

.rz-tabview-nav span {
    color: rgb(38, 38, 38);
    font-weight: normal;
}

.rz-datatable {
    float: left;
    position: unset;
}

.rz-tooltip-content, .rz-tooltip-content a, .rz-tooltip-content a:hover {
    color: inherit;
    text-decoration: none;
    display: flex;
}

    .rz-tooltip-content a:hover {
        color: var(--telekom-color-primary-hovered);
    }

.rz-grid-table thead th {
    background-color: #f2f2f2;
    padding-bottom: 1px;
}

    .rz-grid-table thead th > div:not(.rz-cell-filter),
    .rz-grid-table .rz-data-row > td {
        padding: 2px 8px;
    }

.rz-grid-table thead tr:nth-of-type(2) th {
    top: 0;
}

.whitespace-normal {
    white-space: normal;
}

.clamped-container {
    display: flex;
}

    .clamped-container .clamped-text {
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
        margin-right: 1rem;
        flex: 1;
    }

.rz-datatable-data td .rz-cell-data,
.rz-grid-table td .rz-cell-data:has(.rz-button, .rz-paginator-element) {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.rz-cell-data:has(.text-field-group select) {
    line-height: unset;
}

.table-striped > tbody > tr:nth-child(odd) > td .text-brand {
    color: #B8003A;
}

.rz-cell-filter .rz-cell-filter-label .rz-current-filter {
    flex-shrink: 1;
    min-width: 0;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}


.special-action-buttons {
    margin-right: 20px;
}

.navbar-portalname {
    text-transform: none;
    padding-top: 0;
    display: flex;
    align-items: center;
    margin: 1rem 0 0.5rem 0;
    padding: 0;
}

    .navbar-portalname i {
        font-size: 20px;
    }

.nav > li > a {
    display: flex;
    align-items: center;
}

.navbar-nav > li {
    margin: 0;
}

.rz-button-md.rz-button-icon-only.btn-steam-textbox {
    border: 1px solid transparent;
    align-items: center;
    background: none;
    margin-left: -4rem;
    padding: 0;
}

    .rz-button-md.rz-button-icon-only.btn-steam-textbox.btn1 {
        margin-left: -80px;
    }

    .rz-button-md.rz-button-icon-only.btn-steam-textbox.btn2 {
        margin-left: 0;
    }

.btn-vertical {
    margin-bottom: 1em;
}

.rz-button-md.rz-button-icon-only.btn-steam-textbox:active {
    box-shadow: none;
}

.rz-button-md.rz-button-icon-only.btn-steam-textbox:focus {
    background-color: transparent;
    border-color: var(--telekom-color-primary-standard);
    outline: 0;
    box-shadow: inset 0 1px 1px #000000, 0 0 8px var(--telekom-color-primary-standard);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(226, 0, 116, 0.6);
}

.rz-button.rz-light.text-brand {
    color: var(--telekom-color-primary-standard);
}

.steam-textbox {
    padding-right: 2rem;
    margin-right: 1.75rem;
}

    .steam-textbox.steam-textbox-with-pw {
        padding-right: 4rem;
    }

.steam-textbox-container {
    display: flex;
    flex: auto;
    align-items: center;
}

.steam-textbox-btn-container {
    display: flex;
    padding: 0.5rem 0.2rem;
    gap: 0.5rem;
    justify-content: space-between;
    align-items: center;
}

    .steam-textbox-btn-container > .rz-button {
        padding: 0.5rem;
        min-width: fit-content;
    }

#account i {
    margin-right: 5px;
}

.text-slim {
    width: 25vw;
}

label.steam-textbox-label {
    font-size: 0.9rem;
}

input[type='text']::placeholder {
    color: #a0a0a0;
}

input {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-right: 1.75rem;
}

.rz-slider-handle:before {
    content: none;
}

.rz-slider.inactive .rz-slider-handle, .rz-slider.inactive .rz-slider-handle:hover {
    background-color: #e0e0e0;
    cursor: default;
}

.steam-job-draft {
    font-style: italic;
}

.strikeThrough {
    text-decoration: line-through;
}

.inline-warning-headline {
    font-size: 1.3rem;
    font-weight: bold;
    display: flex;
    align-items: center;
    margin: 0.5rem 0;
}

.inline-warning-text {
    display: flex;
    align-items: center;
    padding-top: 5px;
}

div.help-link {
    display: inline-block;
}

.rz-button.rz-secondary.rz-shade-default.help-link {
    background-color: #fff;
    font-size: 15px;
    height: 1em;
    vertical-align: top;
    border: 0 none;
    padding: 10px;
    margin: 0;
    height: 35px;
}

    .rz-button.rz-secondary.rz-shade-default.help-link:active {
        border: 0 none;
    }

    .rz-button.rz-secondary.rz-shade-default.help-link i {
        font-size: 27px;
        color: #000;
    }

    .rz-button.rz-secondary.rz-shade-default.help-link.emptyHelptext i {
        color: #b0b0b0;
    }

.rz-tabview-panel .help-link {
    margin-top: -46px;
}

.main .container-fixed:has(> .breadcrumbs) + .container-fixed > .container-liquid > .help-link {
    margin-top: -40px;
}

.btn-steam, .rz-splitbutton button, .rz-splitbutton-menu li.rz-menuitem {
    font-weight: normal;
    height: 2.75rem;
    padding: 0 1rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.rz-splitbutton button, .rz-splitbutton-menu li.rz-menuitem {
    justify-content: flex-start;
}

.actions-panel > button.btn-steam, button.btn-steam.small {
    height: 2rem;
    aspect-ratio: 1/1;
    padding: 0;
}

.number-select-arrows > button.btn-steam {
    aspect-ratio: 1/1;
    padding: 0;
}


.rz-button-md.rz-button-icon-only.btn-steam-textbox .rz-button-icon-left {
    font-size: 1.25rem;
}

.btn-steam .rzi.btn-steam-icon-with-text {
    font-size: 1.4rem;
}

.btn-steam .rz-button-box, .rz-splitbutton .rz-button-box, .rz-splitbutton-menu .rz-menuitem-link {
    display: flex;
    align-items: center;
    line-height: 1.25rem;
    column-gap: 4px;
}

.rz-html-editor {
    min-height: 250px;
    margin-bottom: 1rem;
}

.rz-html-editor-dialog-buttons button {
    height: 36px;
}


.btn-steam .btn-steam-text, .rz-splitbutton .rz-button-text, .rz-splitbutton-menu .rz-menuitem-text {
    margin: 0 0.5em;
}

.rz-splitbutton-menu .rz-menuitem-icon {
    margin-right: 0;
}

.generated-number-format {
    margin-left: 5px;
    letter-spacing: 5px;
}

.decades-limiter-result i {
    position: absolute;
    margin: -4px 0 0 5px;
}

.result {
    align-items: center;
    display: flex;
    gap: 0.5rem;
    justify-content: center;
}

    .result.icon-right {
        justify-content: space-between;
    }

span.form-input-note {
    margin-left: 0.5rem;
}

.form-fieldset {
    display: flex;
    column-gap: 1rem;
    padding: 0;
    align-items: flex-end;
}

.result-ok {
    color: var(--telekom-color-text-and-icon-functional-success);
}

.rz-state-highlight .result-ok,
.rz-state-highlight .text-brand {
    color: var(--background);
}

.form-fieldset > legend + * + * {
    margin-top: 12px;
}

i.icon-in-text {
    position: relative;
    top: 6px;
    margin-top: -10px
}

.rz-textarea {
    width: 100%;
}

.multiple-filter-fields {
    align-items: center;
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 48% 4% 48%;
    justify-content: space-evenly;
    width: 100%;
}

.number-select-arrows {
    display: flex;
    flex-direction: column;
    align-self: center;
    align-items: center;
}


.container-flex {
    display: flex;
}

.tooltip {
    background-color: #fff;
    display: flex;
    align-items: center;
}


.rz-tooltip-content {
    padding: 4px 6px;
    border: solid 1px rgb(128, 128, 128);
}

.rz-tooltip .rz-bottom-tooltip-content:after,
.rz-tooltip .rz-top-tooltip-content:after {
    content: none;
}

.steam-notification-badge {
    padding-top: 5px;
    display: inline-block;
}

    .steam-notification-badge .badge {
        line-height: 2;
        width: 30px;
        margin-right: 5px;
    }

.allow-linebreak {
    white-space: pre;
}

rz-paginator-element, .rz-paginator-page, .rz-paginator-page.rz-state-active {
    padding: 0.3125rem;
    line-height: normal;
    font-weight: normal;
    margin: 0 0.3125rem;
}

.rz-pager {
    display: none;
}

.pull-right .btn-steam, .pull-right .rz-splitbutton {
    margin-left: 0.5em;
}

.rz-button.rz-primary.rz-shade-default.copy-to-clipboard,
.copy-to-clipboard {
    background: transparent;
    border: none;
    font-size: inherit;
    padding: 0;
}

    .copy-to-clipboard,
    .copy-to-clipboard .rz-button-box,
    .copy-to-clipboard .rz-button-box .rzi,
    .rz-button.rz-primary.rz-shade-default.copy-to-clipboard {
        color: inherit;
        font-size: inherit;
    }

.table-striped .rz-button.rz-primary.rz-shade-default.copy-to-clipboard {
    min-height: 1rem;
    min-width: 1rem;
    display: flex;
}

.rz-button.rz-primary.rz-shade-default.copy-to-clipboard .rzi:hover,
.rz-button.rz-primary.copy-to-clipboard:hover,
.copy-to-clipboard .rzi:hover,
.btn-steam-textbox:hover {
    color: var(--telekom-color-primary-standard);
    background: transparent;
}

.pull-right {
    float: right;
    display: flex;
    align-items: center;
}


.c2c-cell-wrapper {
    display: flex;
    align-items: center;
}


table.rotate-header tr:nth-child(even) {
    background-color: var(--rzgrid-stripe-background-color);
}

table.rotate-header.text-small {
    font-size: 0.8125rem;
}

table.rotate-header {
    width: 98%;
    margin: 0 auto;
}

    table.rotate-header > thead {
        height: 150px;
    }

th.rotate > div {
    transform: rotate(315deg);
    transform-origin: bottom left;
    width: 40px;
    white-space: nowrap;
}

    th.rotate > div > span {
        border-bottom: 1px solid #ccc;
    }

.rz-fileupload-content.rz-corner-bottom {
    display: none;
}

.number-grid {
    width: 100%;
}

    .number-grid table.rz-grid-table-fixed {
        table-layout: unset;
    }

.draft {
    color: #a0a0a0;
}

#blazor-error-ui:not([style*="display: none"]) + .spinner {
    display: none;
}

.rz-tabview-panels {
    overflow: unset;
}

.rz-badge-info.rz-shade-lighter {
    background-color: var(--telekom-color-primary-standard);
    color: #fff;
}

.rz-column-picker {
    display: block;
}

.grid-settings li {
    list-style: none;
}

.grid-settings ul.dropdown {
    padding: 10px 0;
    margin-left: -215px;
}

.rz-custom-footer {
    padding: 8px
}

/***
* Grid Extension
***/
.grid-extensions {
    display: flex;
    justify-content: space-between;
    float: left;
    width: 100%;
    margin: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    white-space: nowrap;

    .pull-left .rz-button-box {
        /* Icon inside LoadMore button */
        margin-right: 1px;
    }

    .pull-right .grid-settings-inline {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    .paging {
        display: flex;
    }

    &.small .paging-info {
        min-width: 0;
    }

    .paging-info {
        display: flex;
        justify-content: center;
        align-items: center;
        min-width: 150px;

        span {
            margin: 0 5px
        }
    }

    button {
        height: 2rem;
        aspect-ratio: 1/1;
        padding: 0;
        margin: 0 5px;
    }

    .rz-button.rz-secondary.open-menu {
        background-color: transparent;
    }

    .grid-settings {
        button.open-menu:hover {
            background-color: var(--rz-secondary);
        }

        li.nav-toggle ul.dropdown {
            display: none;
            background: var(--background);
            box-shadow: var(--shadow);
            flex-direction: column;
            gap: 0;
            height: auto;
            position: absolute;
            z-index: 500;
            padding: 0.8rem 0;
            border-radius: 10px;

            > li {
                background: var(--background);
                color: var(--font-color-default);
                margin-right: 0;
                margin-inline-start: 0;
                margin-inline-end: 0;
                padding: 0 1rem;
                width: 260px;

                select {
                    height: 2.75rem;
                }

                > button {
                    font-size: 1.1rem;
                    font-weight: normal;
                    padding: 0.5rem 0px;
                    margin: 0;
                    background-color: #fff;
                    width: 100%;
                    height: 2.5rem;
                    justify-content: flex-start;
                    border-width: 0;

                    .rz-multiselect-panel {
                        border-top-left-radius: 0;
                        border-top-right-radius: 0;
                    }

                    &.selected i {
                        color: var(--telekom-color-primary-hovered);
                    }

                    .btn-steam-text {
                        white-space: nowrap;

                        &:not([disabled]):hover .btn-steam-text {
                            color: var(--telekom-color-primary-hovered);
                        }
                    }
                }

                > div {
                    display: flex;
                    /* Height of menu icons */
                    > i {
                        height: 3rem;

                        &.page-size {
                            padding-top: 3px;
                        }
                    }

                    > div.text-field-group {
                        padding-left: 5px;
                    }

                    > .rz-dropdown {
                        margin-left: 5px;
                        margin-right: 0px;
                        padding: 5px 9px;
                        border-color: var(--scl-color-background-darker);

                        &:hover {
                            background: var(--scl-color-background-light);
                            border: 1px solid #222;
                        }
                    }
                }
            }
        }
    }
}

/* Hide the Radzen default sort icon on columns */
.rz-sortable-column .rzi-sort {
    display: none;
}

/* Style the custom sort icon button */
.sortable-column-header {
    display: flex;
    flex-direction: row;
    gap: .5rem;

    .sort-button {
        all: unset;
        display: inline-flex;
        justify-content: center;
        align-items: center;
    }
}